package cn.teammodel.controller;

import cn.teammodel.common.R;
import cn.teammodel.model.dto.DeleteNodeDto;
import cn.teammodel.model.dto.GetEvaluateTreeDto;
import cn.teammodel.model.dto.InsertNodeDto;
import cn.teammodel.model.dto.UpdateNodeDto;
import cn.teammodel.model.entity.Appraise;
import cn.teammodel.service.EvaluationService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author winter
 * @create 2023-11-22 15:10
 */
@RestController
@RequestMapping("/appraise")
public class EvaluationController {
    @Resource
    private EvaluationService evaluationService;

    @PostMapping("getTrees")
    @ApiOperation(value = "获取评价树", notes = "获取评价树")
    public R<Appraise> getEvaluateTree(@RequestBody GetEvaluateTreeDto getEvaluateTreeDto) {
        Appraise appraise = evaluationService.getTree(getEvaluateTreeDto);
        return R.success(appraise);
    }

    @PostMapping("insertNode")
    @ApiOperation(value = "新增评价树的节点")
    public R<Appraise> insertNode(@RequestBody InsertNodeDto insertNodeDto) {
        Appraise appraise = evaluationService.insertNode(insertNodeDto);
        return R.success(appraise);
    }
    @PostMapping("updateNode")
    @ApiOperation(value = "更新评价树的节点", notes = "传递更新后的节点,而不是局部更新的值")
    public R<Appraise> updateTree(@RequestBody UpdateNodeDto updateNodeDto) {
        Appraise appraise = evaluationService.updateNode(updateNodeDto);
        return R.success(appraise);
    }
    @PostMapping("deleteNode")
    @ApiOperation(value = "删除评价树的节点")
    public R<Appraise> deleteNode(@RequestBody DeleteNodeDto deleteNodeDto) {
        // todo: 注意删除子节点
        Appraise appraise = evaluationService.deleteNode(deleteNodeDto);
        return R.success(appraise);
    }
}
