package cn.teammodel.dao;

import cn.teammodel.model.entity.Appraise;
import com.azure.cosmos.models.PartitionKey;
import com.azure.spring.data.cosmos.repository.CosmosRepository;
import org.springframework.stereotype.Repository;

/**
 * @author winter
 * @create 2023-11-20 14:39 <br/>
 * Page<User> findByLastname(String lastname, Pageable pageable); <br/>
 * Slice<User> findByLastname(String lastname, Pageable pageable);<br/>
 * Window<User> findTop10ByLastname(String lastname, ScrollPosition position, Sort sort);<br/>
 * List<User> findByLastname(String lastname, Sort sort);<br/>
 * List<User> findByLastname(String lastname, Sort sort, Limit limit);<br/>
 * List<User> findByLastname(String lastname, Pageable pageable);<br/>
 */
@Repository
public interface EvaluationRepository extends CosmosRepository<Appraise, String> {
    Appraise findBySchoolId(String schoolId, PartitionKey partitionKey);
    Appraise findBySchoolIdAndPeriodId(String schoolId, String periodId, PartitionKey partitionKey);


}
